Applications
Update a person
PATCH
/
v2
/
applications
/
{applicationId}
/
persons
/
{personId}
Update a person
curl --request PATCH \
--url https://api.example.com/v2/applications/{applicationId}/persons/{personId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bvn": "<string>",
"dateOfBirth": "1985-06-15",
"emailAddress": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"nationalId": "<string>",
"nationality": "<string>",
"ownershipPercentage": 50,
"phoneNumber": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.example.com/v2/applications/{applicationId}/persons/{personId}"
payload = {
"bvn": "<string>",
"dateOfBirth": "1985-06-15",
"emailAddress": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"nationalId": "<string>",
"nationality": "<string>",
"ownershipPercentage": 50,
"phoneNumber": "<string>",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bvn: '<string>',
dateOfBirth: '1985-06-15',
emailAddress: 'jsmith@example.com',
firstName: '<string>',
lastName: '<string>',
middleName: '<string>',
nationalId: '<string>',
nationality: '<string>',
ownershipPercentage: 50,
phoneNumber: '<string>',
title: '<string>'
})
};
fetch('https://api.example.com/v2/applications/{applicationId}/persons/{personId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dateOfBirth": "1985-06-15",
"emailAddress": "jsmith@example.com",
"firstName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastName": "<string>",
"nationality": "<string>",
"phoneNumber": "<string>",
"residentialAddress": {
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"state": "<string>",
"street": "<string>"
},
"title": "<string>",
"bvn": "<string>",
"middleName": "<string>",
"nationalId": "<string>",
"ownershipPercentage": 50
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}Authorizations
Enter Auth0 JWT token
Body
application/json
Bank Verification Number (Nigeria).
Example:
"1985-06-15"
ISO 3166-1 alpha-2 country code
Required range:
0 <= x <= 100Show child attributes
Show child attributes
Available options:
director, shareholder, director_and_shareholder, signing_officer Response
Example:
"1985-06-15"
ISO 3166-1 alpha-2 country code
Show child attributes
Show child attributes
Available options:
director, shareholder, director_and_shareholder, signing_officer Bank Verification Number (Nigeria).
Required range:
0 <= x <= 100⌘I
Update a person
